# Class RWSService`Abstract`

#### Hierarchy (view full)

- RWSService
  - AppConfigService
  - RWSController
  - DBServiceInstance
  - AuthServiceInstance
  - S3ServiceInstance
  - ConsoleServiceInstance
  - LambdaServiceInstance
  - AWSServiceInstance
  - EFSServiceInstance
  - MD5ServiceInstance
  - TraversalServiceInstance
  - UtilsServiceInstance
  - VectorStoreServiceInstance
  - ProcessServiceInstance

- Defined in src/services/_service.ts:1

#####
Index

### Constructors

constructor

### Properties

_RELOADABLE
_instances

### Methods

getReloadable
reloadService
getSingleton

## Constructors

### constructor

- new RWSService(): RWSService

- #### Returns RWSService

  - Defined in src/services/_service.ts:4

## Properties

### _RELOADABLE

_RELOADABLE: boolean = false

- Defined in src/services/_service.ts:2

### `Static` `Protected` _instances

_instances: {
[key: string]: RWSService;
} = {}

#### Type declaration

- ##### [key: string]: RWSService

- Defined in src/services/_service.ts:7

## Methods

### getReloadable

- getReloadable(): string

- #### Returns string

  - Defined in src/services/_service.ts:19

### reloadService

- reloadService<T>(this, ...params): InstanceType<T>

- #### Type Parameters

  - #### T extends (new (...args) => RWSService)

  #### Parameters

  - ##### this: T

  - ##### `Rest` ...params: any[]

  #### Returns InstanceType<T>

  - Defined in src/services/_service.ts:23

### `Static` getSingleton

- getSingleton<T>(this): InstanceType<T>

- #### Type Parameters

  - #### T extends (new (...args) => RWSService)

  #### Parameters

  - ##### this: T

  #### Returns InstanceType<T>

  - Defined in src/services/_service.ts:9

Generated using TypeDoc